TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: Amsterdammed on October 22, 2018, 04:59:16 PM

Title: I need the coordiantions of the startpoint of a multileader
Post by: Amsterdammed on October 22, 2018, 04:59:16 PM
Hello there,
after a long time in Revit land i am back with a lisp problem.

How can i read out the start point of a multileader?  (http://)
Title: Re: I need the coordiantions of the startpoint of a multileader
Post by: ronjonp on October 22, 2018, 05:01:55 PM

Code - Auto/Visual Lisp: [Select]
  1. (setq o (vlax-ename->vla-object (car (entsel))))
  2. ;; First 3 items
  3. (vlax-invoke o 'getleaderlinevertices 0)
Title: Re: I need the coordiantions of the startpoint of a multileader
Post by: Marc'Antonio Alessi on October 23, 2018, 08:47:26 AM
Or with Vanilla:
(setq o (car (entsel)))
(assoc 15 (entget o))
>> (15 13234.9898713344 3370.0 0.0)

Edit: erase everything I wrote...           DXF 15 > Block Content Position   :opps: